// =============================================================================
// Shader definition for sq3t1
// e-mail: scrama@ya.ru
// =============================================================================

//	on-wall jumpy lamp
textures/sq3t1props/llight
{
	qer_editorimage textures/sq3t1props/llight.tga
	q3map_lightimage textures/sq3t1props/llight.tga
	q3map_surfacelight 18000
	surfaceparm nolightmap
	{
		map textures/sq3t1props/llight.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
	{
		map textures/sq3t1props/llight.tga
		rgbGen wave sin .5 .5 0 20	
		blendfunc GL_ONE GL_ONE
	}
}

// 3rd (blue-trim) level lamp texture
textures/sq3t1/metal10blit
{
	qer_editorimage textures/sq3t1/metal10blit.tga
	q3map_lightimage textures/sq3t1/metal10blit_fx.tga
	q3map_surfacelight 8000
	{
		map textures/sq3t1/metal10blit.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
	{
		map textures/sq3t1/metal10blit_fx.tga
		blendfunc GL_ONE GL_ONE
	}
}

// 1st level lamp
textures/sq3t1/lamp1
{
	qer_editorimage textures/sq3t1/lamp1.tga
	q3map_lightimage textures/sq3t1/lamp1fx.tga
	q3map_surfacelight 9000
	surfaceparm nomarks
	{
		map textures/sq3t1/lamp1.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}

// teleport blue background
textures/sq3t1/tele_bg
{
	qer_editorimage textures/sq3t1/tele_bg.tga
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	cull disable
	{
		map textures/sq3t1/tele_bg.tga
		tcmod scroll .04 .03
		blendfunc gl_one gl_one
	}
}

// chrome material (teleport decor)
textures/sq3t1props/chrome
{
	qer_editorimage textures/sq3t1props/chrome.tga
	{
		map textures/sq3t1props/chrome_env.tga
		tcGen environment
	}
	{
		map textures/sq3t1props/chrome.tga
		blendFunc GL_ONE GL_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

// jump-pad texture
textures/sq3t1props/jlit
{
	qer_editorimage textures/sq3t1props/jbody.tga
	{
		map textures/sq3t1props/jbody.tga
		rgbGen identity
	}
	{
		map textures/sq3t1props/jlit.tga
		blendfunc gl_one gl_one
		rgbGen wave sin .5 .5 0 1.5	
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}
// jump-pud ray
textures/sq3t1/jumper_fx
{
	qer_editorimage textures/sq3t1/jumper_fx.tga
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	cull disable
	{
		map textures/sq3t1/jumper_fx.tga
		//tcmod scroll .1 4
		rgbGen wave sin .5 .5 0 1.5	
		blendfunc gl_one gl_one
	}
}

// nonsolid floor blocks
textures/sq3t1/floor2c_ns
{
	qer_editorimage textures/sq3t1/floor2c.tga
	surfaceparm nonsolid
	{
		map textures/sq3t1/floor2c.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}
// and it's sides
textures/sq3t1/floor2d_ns
{
	qer_editorimage textures/sq3t1/floor2d.tga
	surfaceparm nonsolid
	{
		map textures/sq3t1/floor2d.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}

// awesome bug avoiding by hack
textures/sq3t1/cstonefloor1_ns
{
	qer_editorimage textures/sq3t1/cstonefloor1.tga
	surfaceparm nonsolid
	{
		map textures/sq3t1/cstonefloor1.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}

// phong-shaded ground
textures/sq3t1/kiezelsteenh1
{
	q3map_nonplanar
	q3map_shadeangle 60
	{
		map textures/sq3t1/kiezelsteenh1.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}

// phong-shaded rocks
textures/sq3t1/rock1
{
	q3map_nonplanar
	q3map_shadeangle 60
	{
		map textures/sq3t1/rock1.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}
textures/sq3t1/rocknew1
{
	q3map_nonplanar
	q3map_shadeangle 60
	{
		map textures/sq3t1/rocknew1.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}
textures/sq3t1/rocknew2
{
	q3map_nonplanar
	q3map_shadeangle 60
	{
		map textures/sq3t1/rocknew2.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}
// ...and grass
textures/sq3t1/grass1
{
	q3map_nonplanar
	q3map_shadeangle 60
	{
		map textures/sq3t1/grass1.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}

// glass
textures/sq3t1/glass
{
    qer_editorimage textures/sq3t1/glass.tga
    surfaceparm nolightmap
    surfaceparm trans
    {
        map textures/sq3t1/glass.tga
		blendfunc gl_one gl_one
    }
    {
        map textures/sq3t1props/chrome_env.tga
		blendfunc gl_one gl_one
        rgbGen identity
        tcGen environment
    }
}
// 2-sided glass
textures/sq3t1/glass_2s
{
    qer_editorimage textures/sq3t1/glass.tga
    surfaceparm nolightmap
    surfaceparm trans
    cull disable
    {
        map textures/sq3t1/glass.tga
		blendfunc gl_one gl_one
    }
    {
        map textures/sq3t1props/chrome_env.tga
		blendfunc gl_one gl_one
        rgbGen identity
        tcGen environment
    }
}

textures/sq3t1/protograte1
{
	qer_editorimage textures/sq3t1/protograte1.tga
	surfaceparm alphashadow	
	surfaceparm nomarks	
	nopicmip
	{
		map textures/sq3t1/protograte1.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

// =============================================================================
// Stolen shaders
// =============================================================================

// teleporter fx from evil lair - www.planetquake.com/hfx
textures/sq3t1/tele_fx
{
        surfaceparm nomarks
        surfaceparm trans
        sort additive
        cull disable
		qer_editorimage textures/sq3t1/teleprtr_fx1.tga
        {
                clampmap textures/sq3t1/teleprtr_fx3.tga
                blendfunc add
                rgbGen identity
                tcMod rotate -267
        }
        {
                clampmap textures/sq3t1/teleprtr_fx1.tga
                blendfunc add
                rgbGen identity
                tcMod rotate 155
        }
        {
                clampmap textures/sq3t1/teleprtr_fx2.tga
                blendfunc add
                rgbGen identity
                tcMod rotate -100
        }
        {
                map $lightmap
                blendfunc filter
                rgbGen identity
                tcGen lightmap
                depthFunc equal
        }
}

// Sky box by HW
// Direction & elevation checked and adjusted - Speaker
textures/sq3t1env/sky_jungle
{
	qer_editorimage textures/sq3t1env/jungle_up.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256
	surfaceparm sky
	q3map_surfacelight 150
	q3map_sun 1 1 1 100 100 20
	skyparms textures/sq3t1env/jungle - -
}

// Lunaran's light
textures/sq3t1/ceil16_1k
{
	qer_editorimage textures/sq3t1/ceil16.tga
	q3map_lightimage textures/sq3t1/ceil16fx.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	//light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sq3t1/ceil16.tga
		//blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/sq3t1/ceil16fx.tga
		blendfunc GL_ONE GL_ONE
	}
}